Folder timestamps in destination should match source
Closed, ResolvedPublic

Description

Thanks, Elliott A in this ticket:

For sanity

I just deleted this directory from my backup and ran Replicator, the directories are dated today, but the files are not:

$ ll -Ra | head -n 30
.:
total 8
drwxr-xr-x 1 joe 197610 0 Feb  3 09:46 ./
drwxr-xr-x 1 joe 197610 0 Feb  3 09:46 ../
drwxr-xr-x 1 joe 197610 0 Feb  3 09:46 workspaces/

./workspaces:
total 0
drwxr-xr-x 1 joe 197610 0 Feb  3 09:46 ./
drwxr-xr-x 1 joe 197610 0 Feb  3 09:46 ../
drwxr-xr-x 1 joe 197610 0 Feb  3 09:46 DefaultWorkspace/

./workspaces/DefaultWorkspace:
total 0
drwxr-xr-x 1 joe 197610 0 Feb  3 09:46 ./
drwxr-xr-x 1 joe 197610 0 Feb  3 09:46 ../
drwxr-xr-x 1 joe 197610 0 Feb  3 09:46 .metadata/
drwxr-xr-x 1 joe 197610 0 Feb  3 09:46 RemoteSystemsTempFiles/

./workspaces/DefaultWorkspace/.metadata:
total 10
drwxr-xr-x 1 joe 197610    0 Feb  3 09:46 ./
drwxr-xr-x 1 joe 197610    0 Feb  3 09:46 ../
-rw-r--r-- 1 joe 197610    0 Oct  7  2016 .lock
-rw-r--r-- 1 joe 197610 7383 Oct 11  2016 .log
drwxr-xr-x 1 joe 197610    0 Feb  3 09:46 .plugins/
-rw-r--r-- 1 joe 197610    1 Oct  7  2016 .studio10
-rw-r--r-- 1 joe 197610  102 Oct 11  2016 version.ini

./workspaces/DefaultWorkspace/.metadata/.plugins:
Joe created this task.Feb 3 2018, 9:55 AM
Joe created this object in space S5 Public.
Joe created this object with visibility "Public (No Login Required)".
Joe added a comment.Jan 5 2019, 6:45 PM

Created function that does this, but since it's called right after a folder is created, the Date created matches the source folder, but the Date modified is the date the last item was created in the directory.

Will need to queue all the directory time changes until recursion into a folder is resolved.

Joe closed this task as Resolved.Jan 6 2019, 1:08 PM
PUSH Y:\Folder Test\Folder A\
PUSH Y:\Folder Test\Folder A\Folder A1\
PUSH Y:\Folder Test\Folder A\Folder A1\Folder A1a\
PUSH Y:\Folder Test\Folder A\Folder A1\Folder A1a\Folder A1a1\
POP Y:\Folder Test\Folder A\Folder A1\Folder A1a\Folder A1a1\
SUCCESS SetFolderMatchingCreateFileTime J:\home\Desktop\Folder Test\Folder A\Folder A1\Folder A1a\Folder A1a1\ -> Y:\Folder Test\Folder A\Folder A1\Folder A1a\Folder A1a1\
POP Y:\Folder Test\Folder A\Folder A1\Folder A1a\
SUCCESS SetFolderMatchingCreateFileTime J:\home\Desktop\Folder Test\Folder A\Folder A1\Folder A1a\ -> Y:\Folder Test\Folder A\Folder A1\Folder A1a\
POP Y:\Folder Test\Folder A\Folder A1\
SUCCESS SetFolderMatchingCreateFileTime J:\home\Desktop\Folder Test\Folder A\Folder A1\ -> Y:\Folder Test\Folder A\Folder A1\
PUSH Y:\Folder Test\Folder A\Folder A2\
PUSH Y:\Folder Test\Folder A\Folder A2\Folder A2a\
PUSH Y:\Folder Test\Folder A\Folder A2\Folder A2a\Folder A2a1\
POP Y:\Folder Test\Folder A\Folder A2\Folder A2a\Folder A2a1\
SUCCESS SetFolderMatchingCreateFileTime J:\home\Desktop\Folder Test\Folder A\Folder A2\Folder A2a\Folder A2a1\ -> Y:\Folder Test\Folder A\Folder A2\Folder A2a\Folder A2a1\
POP Y:\Folder Test\Folder A\Folder A2\Folder A2a\
SUCCESS SetFolderMatchingCreateFileTime J:\home\Desktop\Folder Test\Folder A\Folder A2\Folder A2a\ -> Y:\Folder Test\Folder A\Folder A2\Folder A2a\
POP Y:\Folder Test\Folder A\Folder A2\
SUCCESS SetFolderMatchingCreateFileTime J:\home\Desktop\Folder Test\Folder A\Folder A2\ -> Y:\Folder Test\Folder A\Folder A2\
POP Y:\Folder Test\Folder A\
SUCCESS SetFolderMatchingCreateFileTime J:\home\Desktop\Folder Test\Folder A\ -> Y:\Folder Test\Folder A\
PUSH Y:\Folder Test\Folder Icon\
POP Y:\Folder Test\Folder Icon\
SUCCESS SetFolderMatchingCreateFileTime J:\home\Desktop\Folder Test\Folder Icon\ -> Y:\Folder Test\Folder Icon\
Joe added a comment.Jan 6 2019, 1:18 PM

Was only setting FILETIME for newly created directories, but decided to do it for all directories. Now I'm thinking perhaps it should only be done for directories that are newly created or into which a file has been replicated.